<?php
include ("ust.php");
session_start(); ## -> Oturum Başlatıldı
$giris_kontrol = $_SESSION['kullanici_id']; if(empty($giris_kontrol)){echo '<meta http-equiv="refresh" content="0;URL=index.php">';}else{


$dilgoster = g("dilgoster");
if(empty($dilgoster)){}else{$d_k_d = "&dilgoster=$dilgoster";}

## -> Silme İşlemi
$sil = g('sil');
switch($sil){
case "sil":

// İşlem Kayıt Modülü
$islemk_islem = "Bir fotoğraf silindi";
include("moduller/islemkayit_modul.php");

$id = g('id'); $id = mysql_real_escape_string($id);
$dosyabul=mysql_query("SELECT * FROM foto_galeri WHERE id='$id'"); 
$getir2=mysql_fetch_array($dosyabul); 
$resim = $getir2['resim'];
unlink('../'.$resim.'');
$sil = mysql_query("delete from foto_galeri where id='$id'") or die("Hata Olustu!");
if($sil){echo '<meta http-equiv="refresh" content="0;URL=foto_galeri.php?durum=basarili'.$d_k_d.'"> ';}
}
## ->  Silme İşlemi

$icerik_getir=mysql_query("SELECT * FROM diller WHERE id='$dilgoster'"); 
$getir=mysql_fetch_array($icerik_getir); 
$dil_g_u_baslik = $getir['baslik'];
?>
				<link rel="stylesheet" href="assets/plugins/html5-editor/bootstrap-wysihtml5.css" />
				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
			
				<div class="container-fluid">
              
				<?php // Bakım modu aktif ise tüm sayfalarda bakım uyarısı verir.
				if($geayar_bakim == "evet"){include("moduller/bakim-modul.php");} ?>
		
                <div class="row">
                <div class="col-12">

				<?php $durum = g('durum'); if($durum == "duzenleme-basarili") { ?>
				<div class="alert alert-success"> <i class="fa fa-check"></i> İşlem başarıyla gerçekleştirildi
				<button type="button" class="close" data-dismiss="alert" aria-label="Close"> </button>
				</div>
				<?php } ?>
				
				
                <div class="card">
                <div class="card-body">
				<div class="col-md-12">
				<div class="row">		
				<div class="col-md-8">
				<h4 class="card-title">Foto Galeri Yönetimi <h4>
                <h6 class="card-subtitle">Bu alandan sitenizde bulunan fotoğraf galerisini kolaylıkla yönetebilirsiniz</h6>
				</div>
				<div class="col-md-4">
				<?php 
				$islem = g("islem");
				if(empty($islem)){?>
				
		
				<div id="yeni-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-plus-circle" aria-hidden="true"></i> Yeni Fotoğraf Yükle</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<form action="foto_galeri.php?islem=yeni&ileri=ekle<?php echo $d_k_d;?>" method="post" enctype="multipart/form-data">
				<div class="modal-body">
				<input type="file"  name="imagesUpload[]" min="1" max="20" class="file form-control" required="required" multiple />
				<p style="margin-top:10px;">Yüklemek istediğiniz resmi seçiniz. Birden fazla resim seçebilirsiniz. </p>
				</div>
				<div class="modal-footer">
				<button  class="btn btn-default waves-effect" data-dismiss="modal">Kapat</button>
			
				<button type="submit" class="btn btn-danger waves-effect waves-light">Yükle</button>
				
				</div>
				</form>
				</div>
				</div>
				</div>
				
				<?php if($kontrol_kullanici_yetki == "1"){?>
				<a data-toggle="modal" data-target="#yeni-modal">
				<button type="button" class="btn waves-effect waves-light btn-primary" style="float:right;">
				<i class="fa fa-plus-circle"></i> Yeni Yükle
				</button>
				</a>
				<?php }else{ ?>
				<a data-toggle="modal" data-target="#uyari-modal">
				<button type="button" class="btn waves-effect waves-light btn-primary" style="float:right;">
				<i class="fa fa-plus-circle"></i> Yeni Yükle
				</button>
				</a>	
				<?php } ?>
				
				
				
				
				<?php }else{ ?>
				<a href="foto_galeri.php?<?php echo $d_k_d;?>">
				<button type="button" class="btn waves-effect waves-light btn-danger" style="float:right;">
				<i class="fa fa-times"></i> İptal
				</button>
				</a>
				<?php } ?>
				</div>
				</div>
				</div>
                
				
				
				
				
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->



				<?php if($islem == "yeni"){?>
				
				<?php 
				$ileri = g('ileri');
				switch($ileri){
				case "ekle":

				function uzanti($dosya) {
				$uzanti = pathinfo($dosya);
				$uzanti = $uzanti["extension"];
				return $uzanti;
				}
				$img_target = "../vi-includes/images/galeri"; 
				foreach ($_FILES["imagesUpload"]["error"] as $upload => $error) {
				if ($error == UPLOAD_ERR_OK) {
				$img_source = $_FILES["imagesUpload"]["tmp_name"][$upload];
				$img_name = $_FILES["imagesUpload"]["name"][$upload];
				$dosya = "$img_name";
				$uzanti = uzanti($dosya);
		
				$isim = md5(microtime()); 
				$yeniad = "".$isim.".".$uzanti.""; 

				$img_name = "$yeniad";
				move_uploaded_file($img_source,$img_target.'/'.$img_name);
				$resim = "vi-includes/images/galeri/".$img_name."";
				$query = mysql_query("INSERT INTO foto_galeri (resim) VALUES ('$resim')");
				echo "<meta http-equiv='refresh' content='0;URL=foto_galeri.php?durum=duzenleme-basarili'>";
				}else{//Resim seçilmemiş ve hata var ise
				echo "Bir resim seçmelisiniz!";
				}
				}
				break;
				}
				?>	
			
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->
				
			
				
	
			
                
                  
					
                </div>
                </div>
				</div>
				
				<?php
				
				if(empty($islem)){
					
				$fotograf_al = mysql_query("SELECT * FROM foto_galeri ORDER BY id DESC limit 0,999");
				while($yaz=mysql_fetch_array($fotograf_al)){
				$id = $yaz['id'];	
				$resim = $yaz['resim'];	
			
				echo '
		
					
				<div class="col-md-3" style="margin-top:20px;overflow:hidden;">
				<img src="../'.$resim.'" class="" width="250" height="200">
				';if($kontrol_kullanici_yetki == "1"){ echo '<a data-toggle="modal" data-target="#sil-modal'.$id.'" class="btn btn-block "><i class="fa fa-trash-o"></i></a>';}else{echo '<a data-toggle="modal" data-target="#uyari-modal" class="btn btn-block "><i class="fa fa-trash-o"></i></a>';} echo ' 
				</div>
				
				
				<div id="sil-modal'.$id.'" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-times" aria-hidden="true"></i> Resim sil</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<div class="modal-body">
				<p>Bu resmi gerçekten silmek istiyormusunuz ?</p>
				</div>
				<div class="modal-footer">
				<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Hayır</button>
				<a href="foto_galeri.php?sil=sil&id='.$id.''.$d_k_d.'"><button type="button" class="btn btn-danger waves-effect waves-light">Evet</button></a>
				</div>
				</div>
				</div>
				</div>
				';
				}  }?> 
				
                </div>
				</div>


	
<?php
include ("alt.php");
} ##Oturum Kontrolü
?>